> ## Documentation Index
> Fetch the complete documentation index at: https://boosterberg.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaigns for Post



## OpenAPI

````yaml POST /boosted-posts/campaigns/{id}
openapi: 3.0.0
info:
  title: Boosterberg API
  description: REST API For Boosterberg user-facing application
  contact:
    name: Miloslav Kona
    email: mkona@bykd.com
  version: '1.0'
servers:
  - url: https://api.boosterberg.com-beta.com/v1
    description: dev server
  - url: https://auto.boost.api/v1
    description: local
  - url: https://api.boosterberg.com/v1
    description: production
security: []
tags:
  - name: Posts
    description: Post lifecycle and evaluation data across all campaigns
paths:
  /boosted-posts/campaigns/{id}:
    post:
      summary: Get information for this post in each campaign where it was boosted
      operationId: cf368fa11be89a8a7cdd23855c787079
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            example: 123
      responses:
        '200':
          description: Returns array of Boosted Posts Campaign Objects
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CampaignBoostedPost'
      security:
        - bearerAuth: []
components:
  schemas:
    CampaignBoostedPost:
      properties:
        id:
          type: integer
        active:
          type: boolean
          example: '1'
        campaign_name:
          type: string
          example: Amoeba Hollywood Campaign
        information:
          type: string
          example: ' from May 1, 21 10:30a  to May 21, 21 10:30a'
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      bearerFormat: JWT
      scheme: bearer

````